## r-cran-ggalluvial 0.12.3

=== DESCRIPTION ===
Package: ggalluvial
Type: Package
Title: Alluvial Plots in 'ggplot2'
Version: 0.12.3
Date: 2020-12-04
Authors@R: c(
    person(given = "Jason Cory",
           family = "Brunson",
           role = c("aut", "cre"),
           email = "cornelioid@gmail.com"),
    person(given = "Quentin D.",
           family = "Read",
           role = 'aut'))
Maintainer: Jason Cory Brunson <cornelioid@gmail.com>
Description: Alluvial plots use variable-width ribbons and stacked bar plots to
    represent multi-dimensional or repeated-measures data with categorical or
    ordinal variables; see Riehmann, Hanfler, and Froehlich (2005)
    <doi:10.1109/INFVIS.2005.1532152> and Rosvall and Bergstrom (2010)
    <doi:10.1371/journal.pone.0008694>.
    Alluvial plots are statistical graphics in the sense of Wilkinson (2006)
    <doi:10.1007/0-387-28695-0>; they share elements with Sankey diagrams and
    parallel sets plots but are uniquely determined from the data and a small
    set of parameters. This package extends Wickham's (2010)
    <doi:10.1198/jcgs.2009.07098> layered grammar of graphics to generate
    alluvial plots from tidy data.
Depends: R (>= 3.5), ggplot2 (>= 2.2)
Imports: stats, dplyr (>= 0.7), tidyr (>= 0.7), lazyeval, rlang,
        tidyselect
Suggests: grid, alluvial, testthat, knitr, rmarkdown, babynames,
        sessioninfo, ggrepel, shiny (>= 1.4.0.2), htmltools, sp (>=
        1.4-0), ggfittext (>= 0.6), vdiffr (>= 0.2)
License: GPL-3
LazyData: true
URL: http://corybrunson.github.io/ggalluvial/
BugReports: https://github.com/corybrunson/ggalluvial/issues
VignetteBuilder: knitr
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2020-12-05 02:12:17 UTC; corybrunson
Author: Jason Cory Brunson [aut, cre],
  Quentin D. Read [aut]
Repository: CRAN
Date/Publication: 2020-12-05 16:20:02 UTC

=== debian/changelog ===
r-cran-ggalluvial (0.12.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 07 Jan 2021 13:42:26 +0100

r-cran-ggalluvial (0.12.2-3) unstable; urgency=medium

  * Team upload.
  * debian/tests/control: remove dep on r-cran-alluvial
  * debian/tests/run-unit-test: add failure once r-cran-alluvial is in the
    archive
  * debian/patches/skip_alluvial_tests: skip the alluvial related tests if
    that package is missing

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 20 Nov 2020 10:43:29 +0100

r-cran-ggalluvial (0.12.2-2) unstable; urgency=medium

  * Team upload.
  * debhelper-compat 13 (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sun, 18 Oct 2020 21:56:59 +0200

r-cran-ggalluvial (0.12.2-1) unstable; urgency=medium

  * Initial release (closes: #970056)

 -- Steffen Moeller <moeller@debian.org>  Fri, 11 Sep 2020 00:25:35 +0200

=== debian/control ===
Source: r-cran-ggalluvial
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-ggplot2 (>= 2.2),
               r-cran-dplyr (>= 0.7),
               r-cran-tidyr (>= 0.7),
               r-cran-lazyeval,
               r-cran-rlang,
               r-cran-tidyselect
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ggalluvial
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ggalluvial.git
Homepage: https://cran.r-project.org/package=ggalluvial
Rules-Requires-Root: no

Package: r-cran-ggalluvial
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R alluvial plots in 'ggplot2'
 Alluvial plots use variable-width ribbons and stacked bar plots to
 represent multi-dimensional or repeated-measures data with categorical or
 ordinal variables; see Riehmann, Hanfler, and Froehlich (2005)
 <doi:10.1109/INFVIS.2005.1532152> and Rosvall and Bergstrom (2010)
 <doi:10.1371/journal.pone.0008694>.
 Alluvial plots are statistical graphics in the sense of Wilkinson (2006)
 <doi:10.1007/0-387-28695-0>; they share elements with Sankey diagrams and
 parallel sets plots but are uniquely determined from the data and a small
 set of parameters. This package extends Wickham's (2010)
 <doi:10.1198/jcgs.2009.07098> layered grammar of graphics to generate
 alluvial plots from tidy data.

## r-cran-ggalluvial 0.12.4

=== debian/changelog ===
r-cran-ggalluvial (0.12.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Lintian-overrides (see lintian bug #1017966)

 -- Andreas Tille <tille@debian.org>  Thu, 09 Feb 2023 11:32:49 +0100

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-ggplot2 (>= 2.2),
-               r-cran-dplyr (>= 0.7),
-               r-cran-tidyr (>= 0.7),
+               r-cran-ggplot2,
+               r-cran-dplyr,
+               r-cran-tidyr,
                r-cran-lazyeval,
                r-cran-rlang,
                r-cran-tidyselect
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ggalluvial
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ggalluvial.git
 Homepage: https://cran.r-project.org/package=ggalluvial

## r-cran-ggalluvial 0.12.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Package: ggalluvial
 Type: Package
 Title: Alluvial Plots in 'ggplot2'
-Version: 0.12.3
-Date: 2020-12-04
+Version: 0.12.5
 Authors@R: c(
     person(given = "Jason Cory",
            family = "Brunson",
@@ -23,7 +22,7 @@
     set of parameters. This package extends Wickham's (2010)
     <doi:10.1198/jcgs.2009.07098> layered grammar of graphics to generate
     alluvial plots from tidy data.
-Depends: R (>= 3.5), ggplot2 (>= 2.2)
+Depends: R (>= 3.6), ggplot2 (>= 2.2)
 Imports: stats, dplyr (>= 0.7), tidyr (>= 0.7), lazyeval, rlang,
         tidyselect
 Suggests: grid, alluvial, testthat, knitr, rmarkdown, babynames,
@@ -34,10 +33,11 @@
 URL: http://corybrunson.github.io/ggalluvial/
 BugReports: https://github.com/corybrunson/ggalluvial/issues
 VignetteBuilder: knitr
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.3
+Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2020-12-05 02:12:17 UTC; corybrunson
+Packaged: 2023-02-13 15:44:19 UTC; jason.brunson
 Author: Jason Cory Brunson [aut, cre],
   Quentin D. Read [aut]
 Repository: CRAN
-Date/Publication: 2020-12-05 16:20:02 UTC
+Date/Publication: 2023-02-22 09:50:02 UTC

=== debian/changelog ===
r-cran-ggalluvial (0.12.5-2) unstable; urgency=medium

  * Team upload.
  * No need to restrict version of dplyr in this version

 -- Andreas Tille <tille@debian.org>  Sat, 25 Feb 2023 17:22:14 +0100

r-cran-ggalluvial (0.12.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 24 Feb 2023 11:31:13 +0100

r-cran-ggalluvial (0.12.4-2) unstable; urgency=medium

  * Team upload.
  * Autopkgtest uncovers a versioned Dependency relation
    r-cran-dplyr (>= 1.1.0)
    Closes: #1031299

 -- Andreas Tille <tille@debian.org>  Fri, 24 Feb 2023 10:13:14 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
 Package: r-cran-ggalluvial
 Architecture: all
 Depends: ${R:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: GNU R alluvial plots in 'ggplot2'

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/ggalluvial_([-\d.]*)\.tar\.gz

## r-cran-ggalluvial 0.12.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ggalluvial
 Type: Package
 Title: Alluvial Plots in 'ggplot2'
-Version: 0.12.5
+Version: 0.12.6
 Authors@R: c(
     person(given = "Jason Cory",
            family = "Brunson",
@@ -36,8 +36,8 @@
 RoxygenNote: 7.2.3
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2023-02-13 15:44:19 UTC; jason.brunson
+Packaged: 2026-02-22 11:56:03 UTC; jasoncorybrunson
 Author: Jason Cory Brunson [aut, cre],
   Quentin D. Read [aut]
 Repository: CRAN
-Date/Publication: 2023-02-22 09:50:02 UTC
+Date/Publication: 2026-02-22 12:30:02 UTC

=== debian/changelog ===
r-cran-ggalluvial (0.12.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Refresh patch.
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 27 Feb 2026 13:55:34 +0900

=== debian/control ===
Source: r-cran-ggalluvial
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Steffen Moeller <moeller@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-ggplot2,
 r-cran-dplyr,
 r-cran-tidyr,
 r-cran-lazyeval,
 r-cran-rlang,
 r-cran-tidyselect,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ggalluvial
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ggalluvial.git
Homepage: https://cran.r-project.org/package=ggalluvial
Rules-Requires-Root: no

Package: r-cran-ggalluvial
Architecture: all
Depends:
 ${R:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: Alluvial Plots in 'ggplot2'
 Alluvial plots use variable-width ribbons and stacked bar plots to
 represent multi-dimensional or repeated-measures data with categorical
 or ordinal variables; see Riehmann, Hanfler, and Froehlich (2005)
 <doi:10.1109/INFVIS.2005.1532152> and Rosvall and Bergstrom (2010)
 <doi:10.1371/journal.pone.0008694>. Alluvial plots are statistical
 graphics in the sense of Wilkinson (2006) <doi:10.1007/0-387-28695-0>;
 they share elements with Sankey diagrams and parallel sets plots but
 are uniquely determined from the data and a small set of parameters.
 This package extends Wickham's (2010) <doi:10.1198/jcgs.2009.07098>
 layered grammar of graphics to generate alluvial plots from tidy data.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-testthat,
 r-cran-knitr,
 r-cran-rmarkdown,
 r-cran-sessioninfo,
 r-cran-ggrepel,
 r-cran-shiny,
 r-cran-htmltools,
 r-cran-sp,
 r-cran-vdiffr,
